Difference between revisions of "MediaWiki:Common.css"

From SHA2017 Wiki
Jump to: navigation, search
(the bombastic headers are nicer, and now to add some alignment with the box on the left)
(better font size for the h1, so it matches the box on the left more without losing connection to the page)
Line 168: Line 168:
 
h1, h2, h3, h4 {
 
h1, h2, h3, h4 {
 
     font-family: 'robotoblack' !important;
 
     font-family: 'robotoblack' !important;
 +
}
 +
 +
h1{
 +
    font-size: 2.1em !important;
 
}
 
}
  
 
/* per cpresser's request for the Form:Village; vertically align the options */
 
/* per cpresser's request for the Form:Village; vertically align the options */
 
.checkboxLabelLineBreak:after { content: '\A'; white-space: pre-wrap;}
 
.checkboxLabelLineBreak:after { content: '\A'; white-space: pre-wrap;}

Revision as of 14:53, 2 March 2017

/* CSS placed here will be applied to all skins */

.mw-wiki-logo {
    background-image: url('/images/5/52/Shawiki.png') !important;
}


/* How to make it go 100% or be static? Do we have to stretch an image or something? It's a bit ugly now... */
/*
Trying the new gradient background.
.mediawiki {
    background-image:url("images/2/28/Screen_Shot_2017-01-04_at_15.23.19.png");
    background-repeat: repeat-x;
    background-size: 600% 600%;    
}


#mw-head {
    background: rgb(161,219,255);
    background: -moz-linear-gradient(top, rgba(161,219,255,1) 1%, rgba(240,249,255,1) 99%);
    background: -webkit-linear-gradient(top, rgba(161,219,255,1) 1%,rgba(240,249,255,1) 99%);
    background: linear-gradient(to bottom, rgba(161,219,255,1) 1%,rgba(240,249,255,1) 99%);
}
*/

/* Gradient background start */

#mw-page-base {
    background: inherit !important;
    background-image: inherit !important;
    background-color: inherit !important;
}

#mw-panel {
    background: rgba(255,255,255,0.6) !important;
    width: 10.5em !important;
    padding-bottom: 1em;
}

#p-personal {
    background: rgba(255,255,255,0.6);
    padding: 0.2em;
    padding-right: 1em;
}

#p-cactions-label {
    background: rgba(255,255,255,0.6);
}

/* Gradient background END */

/* [[Template:ToDo]] START */
table.mbox-style {
    border-left: 10px solid #fc3;
}

table.mbox {
    margin: 0 10%;
    border: 1px solid #a2a9b1;
    border-left: 10px solid #36c;
    background: #fbfbfb;
}
.ambox td.mbox-image {
    padding: 2px 0 2px 0.5em;
}
td.mbox-image {
    border: none;
    padding: 2px 0 2px 0.9em;
    text-align: center;
}
.mbox th.mbox-text, .mbox td.mbox-text {
    padding: 0.25em 0.5em;
}
th.mbox-text, td.mbox-text {
    border: none;
    padding: 0.25em 0.9em;
    width: 100%;
}
/* [[Template:ToDo]] END */

/* [[Template:Countdown]] START */
/* the countdown clock on the front page of the wiki. See common.js for the script. */
#clockdiv{
	font-family: sans-serif;
	color: #fff;
	display: inline-block;
	font-weight: 100;
	text-align: center;
	font-size: 30px;
}

#clockdiv > div{
	padding: 10px;
	border-radius: 3px;
	background: #00BF96;
	display: inline-block;
        margin-left: 10px;
}

#clockdiv div > span{
	padding: 15px;
	border-radius: 3px;
	background: #00816A;
	display: inline-block;
        width:50px;
        height:50px;
}

.clocksmalltext{
	padding-top: 5px;
	font-size: 16px;
}
/* [[Template:Countdown]] END */

/* [[Template:FAQ]] START */
.metadata-faq {
  font-size: 10px;
  border: collapsed;
  line-height: 12px;
}
/* [[Template:FAQ]] END */

/* bombastic header start */
.mw-body .firstHeading {
    padding: 20px;
    margin: -16px;
    padding-left: 24px;
    padding-right: 24px;
}

@media screen and (min-width: 982px) {
    .mw-body .firstHeading {
        padding: 20px;
        margin: -24px;
margin-top: -20px
        padding-left: 24px;
        padding-right: 24px;
    }
}
/* bombastic header end*/

@font-face {
    font-family: 'robotoblack';
    src: url('/design/font/roboto_black/Roboto-Black-webfont.eot');
    src: url('/design/font/roboto_black/Roboto-Black-webfont.eot?#iefix') format('embedded-opentype'),
         url('/design/font/roboto_black/Roboto-Black-webfont.woff') format('woff'),
         url('/design/font/roboto_black/Roboto-Black-webfont.ttf') format('truetype'),
         url('/design/font/roboto_black/Roboto-Black-webfont.svg#robotoblack') format('svg');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'robotoregular';
    src: url('/design/font/roboto_regular/Roboto-Regular-webfont.eot');
    src: url('/design/font/roboto_regular/Roboto-Regular-webfont.eot?#iefix') format('embedded-opentype'),
         url('/design/font/roboto_regular/Roboto-Regular-webfont.woff') format('woff'),
         url('/design/font/roboto_regular/Roboto-Regular-webfont.ttf') format('truetype'),
         url('/design/font/roboto_regular/Roboto-Regular-webfont.svg#robotoblack') format('svg');
    font-weight: normal;
    font-style: normal;
}

body {
    font-family: 'robotoregular';
}

h1, h2, h3, h4 {
    font-family: 'robotoblack' !important;
}

h1{
    font-size: 2.1em !important;
}

/* per cpresser's request for the Form:Village; vertically align the options */
.checkboxLabelLineBreak:after { content: '\A'; white-space: pre-wrap;}